# spring配置
spring:
  redis:
    host: wfc-redis
    port: 6379
    password:
  datasource:
    druid:
      stat-view-servlet:
        enabled: true
        loginUsername: admin
        loginPassword: 123456
    dynamic:
      druid:
        initial-size: 5
        min-idle: 5
        maxActive: 20
        maxWait: 60000
        connectTimeout: 30000
        socketTimeout: 60000
        timeBetweenEvictionRunsMillis: 60000
        minEvictableIdleTimeMillis: 300000
        validationQuery: SELECT 1 FROM DUAL
        testWhileIdle: true
        testOnBorrow: false
        testOnReturn: false
        poolPreparedStatements: true
        maxPoolPreparedStatementPerConnectionSize: 20
        filters: stat,slf4j
        connectionProperties: druid.stat.mergeSql\=true;druid.stat.slowSqlMillis\=5000
      datasource:
        # 主库数据源
        master:
          driver-class-name: com.mysql.cj.jdbc.Driver
          url: jdbc:mysql://wfc-mysql:3306/wfc_system_db?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8
          username: root
          password: 123456
        user:
          driver-class-name: com.mysql.cj.jdbc.Driver
          url: jdbc:mysql://wfc-mysql:3306/wfc_user_db?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8
          username: root
          password: 123456
          # 从库数据源
          # slave:
          # username:
          # password:
          # url:
          # driver-class-name:

# mybatis-plus配置
mybatis-plus:
  # 搜索指定包别名
  type-aliases-package: org.wfc.system
  # 配置mapper的扫描，找到所有的mapper.xml映射文件
  mapper-locations: classpath:mapper/**/*.xml
  global-config:
    db-config:
      logic-delete-field: del_flag
      logic-delete-value: 1
      logic-not-delete-value: 0

# swagger配置
swagger:
  title: 系统模块接口文档
  license: Powered By wfc
  licenseUrl: https://wfc.vip

# Omada 配置
omada:
  omada-url: 'https://192.168.2.248:8043'
  omadac-id: 'f3aa6e479b94222581523710cc2c2a9d'
  client-id: '5036e77c81a74008821c694a715fe2b8'
  client-secret: '29faa06fb7f244b094377b48eb3083a7'